org.icefaces.ace.component.datatable

## Class DataTableRendererUtil

- java.lang.Object
- - org.icefaces.ace.component.datatable.DataTableRendererUtil

-     public class DataTableRendererUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableRendererUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `areBothSingleColumnSpan(IProxiableColumn column, IProxiableColumn nextCol)`
    `protected static int` | `findCurrGroupLength(IProxiableColumn column)`
    `protected static IProxiableColumn` | `getNextColumn(IProxiableColumn column, java.util.List columnSiblings)`
    `protected static boolean` | `hasRowEditor(javax.faces.component.UIComponent component)`
    `protected static boolean` | `isCurrColumnStacked(java.util.List comps, IProxiableColumn currCol)`
    `protected static boolean` | `isLastGroupDifferent(IProxiableColumn column)`
    `protected static boolean` | `isNextColumnGrouped(IProxiableColumn column)`
    `protected static boolean` | `isNextColumnRowSpanEqual(IProxiableColumn column, IProxiableColumn nextCol)`
    `protected static boolean` | `isNextStacked(java.util.List comps, IProxiableColumn currCol)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableRendererUtil

          public DataTableRendererUtil()

  - ### Method Detail

    - #### isNextColumnRowSpanEqual

          protected static boolean isNextColumnRowSpanEqual(IProxiableColumn column,
                                                            IProxiableColumn nextCol)

    - #### areBothSingleColumnSpan

          protected static boolean areBothSingleColumnSpan(IProxiableColumn column,
                                                           IProxiableColumn nextCol)

    - #### isCurrColumnStacked

          protected static boolean isCurrColumnStacked(java.util.List comps,
                                                       IProxiableColumn currCol)

    - #### isNextStacked

          protected static boolean isNextStacked(java.util.List comps,
                                                 IProxiableColumn currCol)

    - #### getNextColumn

          protected static IProxiableColumn getNextColumn(IProxiableColumn column,
                                                          java.util.List columnSiblings)

    - #### isNextColumnGrouped

          protected static boolean isNextColumnGrouped(IProxiableColumn column)

    - #### findCurrGroupLength

          protected static int findCurrGroupLength(IProxiableColumn column)

    - #### isLastGroupDifferent

          protected static boolean isLastGroupDifferent(IProxiableColumn column)

    - #### hasRowEditor

          protected static boolean hasRowEditor(javax.faces.component.UIComponent component)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.